<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Planning_V6 StructType
 * @subpackage Structs
 */
class Get_Planning_V6 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The PlanningSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PlanningSelection_V3
     */
    public $PlanningSelection;
    /**
     * Constructor method for Get_Planning_V6
     * @uses Get_Planning_V6::setLogin()
     * @uses Get_Planning_V6::setPlanningSelection()
     * @param \StructType\Login $login
     * @param \StructType\PlanningSelection_V3 $planningSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\PlanningSelection_V3 $planningSelection = null)
    {
        $this
            ->setLogin($login)
            ->setPlanningSelection($planningSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Planning_V6
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get PlanningSelection value
     * @return \StructType\PlanningSelection_V3|null
     */
    public function getPlanningSelection()
    {
        return $this->PlanningSelection;
    }
    /**
     * Set PlanningSelection value
     * @param \StructType\PlanningSelection_V3 $planningSelection
     * @return \StructType\Get_Planning_V6
     */
    public function setPlanningSelection(\StructType\PlanningSelection_V3 $planningSelection = null)
    {
        $this->PlanningSelection = $planningSelection;
        return $this;
    }
}
